{
  buildHomeAssistantComponent,
  fetchFromGitHub,
  python3Packages,
  namespace,
  pkgs,
  ...
}:
buildHomeAssistantComponent rec {
  owner = "simbaja";
  domain = "ge_home";
  version = "v2025.12.0";

  src = fetchFromGitHub {
    owner = owner;
    repo = "ha_gehome";
    rev = version;
    hash = "sha256-hxgQsHb0E/XQEZoVFtKOgdHEVsU5UgqhOjjkgKqlI1I=";
  };

  nativeBuildInputs =
    with python3Packages;
    [
      # gehomesdk
      slixmpp
    ]
    ++ (with pkgs.${namespace}; [
      gehomesdk
      magicattr
    ]);

  meta = {
    changelog = "https://github.com/simbaja/ha_gehome/releases/tag/${version}";
    description = "Integration for GE WiFi-enabled appliances into Home Assistant.";
    homepage = "https://github.com/simbaja/ha_gehome";
    maintainers = [ ];
  };
}
